Bug 1420328

Summary: nfs clients see EIO/IO error when same file is copied from 2 different clients to the same mountpoint
Product: Red Hat Ceph Storage Reporter: Hemanth Kumar <hyelloji>
Component: RGWAssignee: Matt Benjamin (redhat) <mbenjamin>
Status: CLOSED NOTABUG QA Contact: Ramakrishnan Periyasamy <rperiyas>
Severity: unspecified Docs Contact: Bara Ancincova <bancinco>
Priority: unspecified    
Version: 2.2CC: cbodley, ceph-eng-bugs, hnallurv, kbader, kdreyer, mbenjamin, owasserm, sweil, tserlin, uboppana, vakulkar
Target Milestone: rc   
Target Release: 3.1   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Known Issue
Doc Text:
.Simultaneous upload operations to the same file cause I/O errors Simultaneous upload operations to the same file location by different NFS clients cause I/O errors on both clients. Consequently, no data is updated in the Ceph Object Gateway cluster; if an object already existed in the cluster in the same location, it is unchanged. To work around this problem, do not simultaneously upload to the same file location.
Story Points: ---
Clone Of: 1418201 Environment:
Last Closed: 2017-07-06 15:07:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1418201    
Bug Blocks: 1437916    

Comment 3 Matt Benjamin (redhat) 2017-02-08 14:20:54 UTC
Also updating the bug title, this is NOT a crash bug.

Comment 10 Ken Dreyer (Red Hat) 2017-04-26 00:42:17 UTC
If this is something we will never change, CLOSED WONTFIX is appropriate.

Comment 11 Matt Benjamin (redhat) 2017-04-26 01:03:06 UTC
(In reply to Ken Dreyer (Red Hat) from comment #10)
> If this is something we will never change, CLOSED WONTFIX is appropriate.

I think this behavior will one day change, but not in 2.3 and likely not 3.0.  It seems like the doc/note should carry forward.

Comment 12 Ken Dreyer (Red Hat) 2017-04-26 01:06:55 UTC
Ok, blocking the 2.3 release notes bug, in that case.